.modal {
  position: fixed;
  inset: 0;
  z-index: 1000;
  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
}

.modal.show {
  opacity: 1;
  pointer-events: auto;
}

.modal__overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  opacity: 0;
  transition: opacity 0.3s ease;
}

.modal.show .modal__overlay {
  opacity: 1;
}

.modal__content {
  position: relative;
  padding: 30px;
  background: white;
  max-width: 500px;
  border-radius: 10px;
  z-index: 1001;

  transform: translateY(-30px);
  opacity: 0;
  transition: transform 0.3s ease, opacity 0.3s ease;
}

.modal.show .modal__content {
  transform: translateY(0);
  opacity: 1;
}

.modal__close {
  position: absolute;
  top: 10px;
  right: 15px;
  background: none;
  border: none;
  font-size: 24px;
  cursor: pointer;
  transition: all ease .3s;
  height: 35px;
  width: 35px;
  border-radius: 3px;
}

.modal__close:hover {
  background: #33aaff2b;
  color: var(--primary-color);
}

.modal__title {
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 20px;
}

@media (max-width:900px) {
  .modal__content {
    padding: 20px;
    margin: 10px 15px;
  }
}